Portlet API (V0.7.1) : Class PortletSecurityException

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Class PortletSecurityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.portlet.PortletException
                        |
                        +--javax.portlet.PortletSecurityException

All Implemented Interfaces:
  java.io.Serializable

public class PortletSecurityException
extends PortletException

The `PortletSecurityException` is thrown when a call fails because of security reasons.

See Also:
  Serialized Form

Constructor Summary
`PortletSecurityException(java.lang.String text)` Constructs a new security exception with the given text.
`PortletSecurityException(java.lang.String text, java.lang.Throwable cause)` Constructs a new portlet security exception when the portlet needs to do the following: throw an exception include a message about the "root cause" that interfered with its normal operation include a description message
`PortletSecurityException(java.lang.Throwable cause)` Constructs a new portlet security exception when the portlet needs to throw an exception.

Methods inherited from class javax.portlet.PortletException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletSecurityException

    public PortletSecurityException(java.lang.String text)

  Constructs a new security exception with the given text. The portlet container may use the text write it to a log.
  Parameters:
    `text` - the exception text

### PortletSecurityException

    public PortletSecurityException(java.lang.String text,
                                    java.lang.Throwable cause)

  Constructs a new portlet security exception when the portlet needs to do the following:
  throw an exception
  - include a message about the "root cause" that interfered with its normal operation
  - include a description message
  Parameters:
    `text` - the exception text
    `cause` - the root cause

### PortletSecurityException

    public PortletSecurityException(java.lang.Throwable cause)

  Constructs a new portlet security exception when the portlet needs to throw an exception. The exception message is based on the localized message of the underlying exception.
  Parameters:
    `cause` - the root cause

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD